import request from '/@/utils/request';

export function safetyRiskAnalyseUnitApi() {
    return {
        // v1
        getSafetyRiskAnalyseUnitList: (data: object) => {
            return request({
                url: `/prevent/riskAnaUnit/select/getRiskUnitPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addSafetyRiskAnalyseUnit: (data: object) => {
            return request({
                url: `/prevent/riskAnaUnit/insert/saveRiskAnaUnit`,
                method: 'post',
                data: data
            });
        },
        // v1
        modSafetyRiskAnalyseUnit: (data: object) => {
            return request({
                url: `/prevent/riskAnaUnit/update/updateRiskAnaUnit`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteSafetyRiskAnalyseUnit: (data: object) => {
            return request({
                url: `/prevent/riskAnaUnit/delete/deleteRiskAnaUnit`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllSafetyRiskAnalyseUnitList: () => {
            return request({
                url: `/prevent/riskEvent/select/listRiskUnits`,
                method: 'post'
            });
        }
    };
}
